
package com.tmerclub.cloud.platform.constant;

/**
 * 配置类型（平台端 商家端 PC端 h5端 自提点端）
 *
 * @author tmerclub
 */
public enum WebConfigType {
    /**
     * 平台端
     */
    PLATFROM("PLATFROM_WEBSITE_CONFIG"),

    /**
     * 商家端
     */
    MULTISHOP("MULTISHOP_WEBSITE_CONFIG"),

    /**
     * 供应商端
     */
    SUPPLIER("SUPPLIER_WEBSITE_CONFIG"),
    /**
     * PC端
     */
    PC("PC_WEBSITE_CONFIG"),

    /**
     * h5端
     */
    H5("H5_WEBSITE_CONFIG"),


    /**
     * 自提点端
     */
    STATION("STATION_WEBSITE_CONFIG");

    private final String value;

    WebConfigType(String value) {
        this.value = value;
    }

    public String value() {
        return value;
    }

    public static WebConfigType instance(String paramKey) {
        WebConfigType[] enums = values();
        for (WebConfigType typeEnum : enums) {
            if (typeEnum.value().equals(paramKey)) {
                return typeEnum;
            }
        }
        return null;
    }
}
